Bug 1441523 - Conditionally show packages tab in cockpit UI for RHEL
Summary: Conditionally show packages tab in cockpit UI for RHEL
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: cockpit-ovirt
Classification: oVirt
Component: Gdeploy
Version: 0.10.7-0.0.15
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ovirt-4.1.5
: 0.10.7-0.0.22
Assignee: Devyani Kota
QA Contact: RamaKasturi
URL:
Whiteboard:
Depends On:
Blocks: Gluster-HC-3 RHHI-1.1-Approved-Backlog-BZs
TreeView+ depends on / blocked
 
Reported: 2017-04-12 07:40 UTC by RamaKasturi
Modified: 2017-08-28 10:26 UTC (History)
7 users (show)

Fixed In Version: cockpit-ovirt-0.10.7-0.0.22
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-23 08:02:50 UTC
oVirt Team: Gluster
rule-engine: ovirt-4.1?
sasundar: planning_ack?
rule-engine: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)
Attaching the screenshot for RHEL-cockpit (76.70 KB, image/png)
2017-08-10 09:06 UTC, RamaKasturi
no flags Details
packages tab in RHEL machine (84.56 KB, image/png)
2017-08-21 08:50 UTC, RamaKasturi
no flags Details
packages tab in RHVH machine (78.38 KB, image/png)
2017-08-21 08:51 UTC, RamaKasturi
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 79922 master MERGED wizard: conditionally show 'packages' tab options for RHEL 2017-07-31 19:33:36 UTC
oVirt gerrit 79923 ovirt-4.1 MERGED wizard: conditionally show 'packages' tab options for RHEL 2017-07-31 19:33:11 UTC

Description RamaKasturi 2017-04-12 07:40:53 UTC
Description of problem:
I see that packages tab in cockpit UI is no longer required due to the reasons below.

1) RHV-H has all the packages installed and user does not need to install any packages on the system.

2) In the document we are asking user to install all the required packages on RHEL before starting gluster deployment.

In both the cases user will not be installing any packages once he starts with gluster deployment. So i think this tab can be removed from the UI.

Version-Release number of selected component (if applicable):
cockpit-ovirt-dashboard-0.10.7-0.0.16.el7ev.noarch

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:
Remove packages tab from the cockpit UI.

Additional info:

Comment 1 Michal Skrivanek 2017-04-13 04:43:49 UTC
I don't think the assumptions are right. One of the benefit of NGN is that we allow additional pkgs, and they are occasionally needed

Comment 2 RamaKasturi 2017-04-13 13:38:51 UTC
(In reply to Michal Skrivanek from comment #1)
> I don't think the assumptions are right. One of the benefit of NGN is that
> we allow additional pkgs, and they are occasionally needed

Hi Michal,

    The packages tab what i am talking here is in the gluster deployment wizard. Are you referring to the same?

Thanks
kasturi

Comment 3 Devyani Kota 2017-05-18 09:06:51 UTC
Hi Kasturi,
We came to a conclusion after the meeting that we won't be removing
the packages tab entirely. But, will be showing conditionally
if the machine is Rhel. The screenshots are as below for Rhel[1]
and Non-Rhel[2] machines. Please let me know if we wish to remove
the packages tab entirely for Rhel machines.
Note: Rhel machines include RHV-H machines as well.

[1]Rhel machine: https://paste.opensuse.org/47146974
[2]Non-Rhel machine: https://paste.opensuse.org/42285132

Thanks,
Devyani Kota

Comment 4 Sahina Bose 2017-05-18 09:26:47 UTC
(In reply to Devyani Kota from comment #3)
> Hi Kasturi,
> We came to a conclusion after the meeting that we won't be removing
> the packages tab entirely. But, will be showing conditionally
> if the machine is Rhel. The screenshots are as below for Rhel[1]
> and Non-Rhel[2] machines. Please let me know if we wish to remove
> the packages tab entirely for Rhel machines.
> Note: Rhel machines include RHV-H machines as well.
> 
> [1]Rhel machine: https://paste.opensuse.org/47146974
> [2]Non-Rhel machine: https://paste.opensuse.org/42285132
> 
> Thanks,
> Devyani Kota

We don't want to show the registration info for RHV-H nodes either.

Comment 5 RamaKasturi 2017-05-18 11:56:16 UTC
devyani, screenshots provided in comment 4 looks good to me.

Comment 6 Sahina Bose 2017-07-17 10:39:28 UTC
Ryan, is there a way to differential between a RHEL and RHV-H node?

Comment 7 Ryan Barry 2017-07-17 11:38:29 UTC
/etc/redhat-release is probably the nicest way. PRETTY)_NAME for RHVH is different.

Comment 8 RamaKasturi 2017-07-19 05:26:24 UTC
I see that /etc/redhat-release gives the following output on the RHV-H node.

[root@rhsqa-grafton4 ~]# cat /etc/redhat-release 
Red Hat Enterprise Linux release 7.3

May be we could use 'imgbase w' command which shows that it is a RHV-H node.

[root@rhsqa-grafton4 ~]# imgbase w
[INFO] You are on rhvh-4.1-0.20170616.0+1

Comment 9 Ryan Barry 2017-07-19 10:00:04 UTC
Sorry, meant os-release

Comment 10 RamaKasturi 2017-07-19 11:50:33 UTC
cool, thanks Ryan. Below are the contents of the file for reference and there is a PRETTY_NAME.

[root@rhsqa-grafton4 ~]# cat /etc/os-release 
NAME="Red Hat Enterprise Linux"
VERSION="7.3"
VERSION_ID="7.3"
ID="rhel"
ID_LIKE="fedora"
VARIANT="Red Hat Virtualization Host"
VARIANT_ID="ovirt-node"
PRETTY_NAME="Red Hat Virtualization Host 4.1 (el7.3)"
ANSI_COLOR="0;31"
CPE_NAME="cpe:/o:redhat:enterprise_linux:7.3:GA:hypervisor"
HOME_URL="https://www.redhat.com/"
BUG_REPORT_URL="https://bugzilla.redhat.com/"

# FIXME
REDHAT_BUGZILLA_PRODUCT="Red Hat Virtualization"
REDHAT_BUGZILLA_PRODUCT_VERSION=7.3
REDHAT_SUPPORT_PRODUCT="Red Hat Virtualization"
REDHAT_SUPPORT_PRODUCT_VERSION=7.3

Comment 11 Devyani Kota 2017-07-28 14:50:48 UTC
Hello all,

The screenshots from comment#4 are still good.
The screenshots of the Package tab for Rhel and Non-Rhel machines
respectively were attached.
The issue that we were facing was that the registration info was being
listed for RHV-H machines as well which was not the expected behaviour.
Hence, differentiating the machines based on the PRETTY_NAME line in the
os-release file as suggested by Ryan, helps us display the registration
info for Rhel machines alone.
Please let me know if behaviour is expected otherwise.

Thanks,
Devyani Kota.

Comment 12 RamaKasturi 2017-08-10 09:06:02 UTC
Created attachment 1311634 [details]
Attaching the screenshot for RHEL-cockpit

Comment 13 RamaKasturi 2017-08-10 09:08:16 UTC
Hi Devyani,

     From the screenshots attached above for non-rhel machines i.e (RHV-H) it should just show in the packages tab it should just show "Repositories" and "packages" but where as i am seeing this for RHEL machine. Is this expected ?

Attaching screenshot for the same.

Thanks
kasturi

Comment 14 Devyani Kota 2017-08-10 12:22:45 UTC
(In reply to RamaKasturi from comment #13)
> Hi Devyani,
> 
>      From the screenshots attached above for non-rhel machines i.e (RHV-H)
> it should just show in the packages tab it should just show "Repositories"
> and "packages" but where as i am seeing this for RHEL machine. Is this
> expected ?
> 
> Attaching screenshot for the same.
> 
> Thanks
> kasturi

Hi Kasturi,
Discussed it offline.
No, that isn't the expected behaviour.
The differentiation is based on the contents of /etc/os-release file.
The field "PRETTY_NAME" has 'Red Hat Enterprise Linux', to pick it up as
a RHEL machine.

Thanks,
dkota

Comment 15 RamaKasturi 2017-08-21 08:49:56 UTC
verified and works fine with build cockpit-ovirt-dashboard-0.10.7-0.0.23.el7ev.noarch.

As said in comment 4 packages tab is seen as attached in the screenshots for RHEL and RHV-H machines.

Comment 16 RamaKasturi 2017-08-21 08:50:36 UTC
Created attachment 1316165 [details]
packages tab in RHEL machine

Comment 17 RamaKasturi 2017-08-21 08:51:46 UTC
Created attachment 1316166 [details]
packages tab in RHVH machine


Note You need to log in before you can comment on or make changes to this bug.